zenilib: zenilib/jni/external/openal-soft/examples/allatency.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
allatency.c File Reference
`#include <stdio.h>`
`#include <assert.h>`
`#include <unistd.h>`
`#include "AL/al.h"`
`#include "AL/alc.h"`
`#include "AL/alext.h"`
`#include "common/alhelpers.h"`
`#include "common/alffmpeg.h"`

Go to the source code of this file.

## Macros

#define | LOAD_PROC(x) ((x) = alGetProcAddress(#x))
#define | Sleep(x) usleep((x)*1000)

## Functions

static ALuint | LoadSound (const char *filename)
int | main (int argc, char **argv)

## Variables

LPALBUFFERSAMPLESSOFT | alBufferSamplesSOFT = wrap_BufferSamples
LPALGETSOURCE3DSOFT | alGetSource3dSOFT
LPALGETSOURCE3I64SOFT | alGetSource3i64SOFT
LPALGETSOURCEDSOFT | alGetSourcedSOFT
LPALGETSOURCEDVSOFT | alGetSourcedvSOFT
LPALGETSOURCEI64SOFT | alGetSourcei64SOFT
LPALGETSOURCEI64VSOFT | alGetSourcei64vSOFT
LPALISBUFFERFORMATSUPPORTEDSOFT | alIsBufferFormatSupportedSOFT
LPALSOURCE3DSOFT | alSource3dSOFT
LPALSOURCE3I64SOFT | alSource3i64SOFT
LPALSOURCEDSOFT | alSourcedSOFT
LPALSOURCEDVSOFT | alSourcedvSOFT
LPALSOURCEI64SOFT | alSourcei64SOFT
LPALSOURCEI64VSOFT | alSourcei64vSOFT

## Macro Definition Documentation

#define LOAD_PROC | ( |  | x | ) | ((x) = alGetProcAddress(#x))

Referenced by main().

#define Sleep | ( |  | x | ) | usleep((x)*1000)

Definition at line 34 of file allatency.c.

Referenced by main(), NullProc(), OSSCaptureProc(), OSSProc(), SolarisProc(), and WaveProc().

## Function Documentation

static ALuint LoadSound | ( | const char * | filename | ) |

static

Definition at line 63 of file allatency.c.

References AL_NO_ERROR, AL_NONE, alBufferSamplesSOFT, alDeleteBuffers(), alGenBuffers(), alGetError(), alGetString(), alIsBuffer(), alIsBufferFormatSupportedSOFT, BytesToFrames(), ChannelsName(), closeAVFile(), decodeAVAudioStream(), free, getAVAudioInfo(), getAVAudioStream(), GetFormat(), openAVFile(), and TypeName().

Referenced by main().

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 131 of file allatency.c.

References AL_BUFFER, AL_NO_ERROR, AL_PLAYING, AL_SEC_OFFSET_LATENCY_SOFT, AL_SOURCE_STATE, alBufferSamplesSOFT, alDeleteBuffers(), alDeleteSources(), alGenSources(), alGetError(), alGetSource3dSOFT, alGetSource3i64SOFT, alGetSourcedSOFT, alGetSourcedvSOFT, alGetSourcei(), alGetSourcei64SOFT, alGetSourcei64vSOFT, alIsBufferFormatSupportedSOFT, alIsExtensionPresent(), alSource3dSOFT, alSource3i64SOFT, alSourcedSOFT, alSourcedvSOFT, alSourcei(), alSourcei64SOFT, alSourcei64vSOFT, alSourcePlay(), assert, CloseAL(), InitAL(), LOAD_PROC, LoadSound(), and Sleep.

## Variable Documentation

LPALBUFFERSAMPLESSOFT alBufferSamplesSOFT = wrap_BufferSamples

Definition at line 45 of file allatency.c.

Referenced by LoadSound(), main(), StartPlayer(), and UpdatePlayer().

LPALGETSOURCE3DSOFT alGetSource3dSOFT

Definition at line 52 of file allatency.c.

Referenced by main().

LPALGETSOURCE3I64SOFT alGetSource3i64SOFT

Definition at line 58 of file allatency.c.

Referenced by main().

LPALGETSOURCEDSOFT alGetSourcedSOFT

Definition at line 51 of file allatency.c.

Referenced by main().

LPALGETSOURCEDVSOFT alGetSourcedvSOFT

Definition at line 53 of file allatency.c.

Referenced by main().

LPALGETSOURCEI64SOFT alGetSourcei64SOFT

Definition at line 57 of file allatency.c.

Referenced by main().

LPALGETSOURCEI64VSOFT alGetSourcei64vSOFT

Definition at line 59 of file allatency.c.

Referenced by main().

LPALISBUFFERFORMATSUPPORTEDSOFT alIsBufferFormatSupportedSOFT

Definition at line 46 of file allatency.c.

Referenced by LoadSound(), main(), and OpenPlayerFile().

LPALSOURCE3DSOFT alSource3dSOFT

Definition at line 49 of file allatency.c.

Referenced by main().

LPALSOURCE3I64SOFT alSource3i64SOFT

Definition at line 55 of file allatency.c.

Referenced by main().

LPALSOURCEDSOFT alSourcedSOFT

Definition at line 48 of file allatency.c.

Referenced by main().

LPALSOURCEDVSOFT alSourcedvSOFT

Definition at line 50 of file allatency.c.

Referenced by main().

LPALSOURCEI64SOFT alSourcei64SOFT

Definition at line 54 of file allatency.c.

Referenced by main().

LPALSOURCEI64VSOFT alSourcei64vSOFT

Definition at line 56 of file allatency.c.

Referenced by main().